View Issue Details

IDProjectCategoryView StatusLast Update
0001187SketcherFeaturepublic2017-06-20 19:45
ReporteroldestfoxAssigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version0.13 
Target VersionFixed in Version0.17 
Summary0001187: Add extend feature to sketch workbench
DescriptionThe extend tool goes with trim just like zoom-out goes with zoom-in, expand-collapse, undo-redo, etc. etc. Trim and extend are two very powerful tools for building objects. It should also be like trim in the sense that once it is opened, it will stay active until it is closed by the user.

Someone wrote

- Like the "Trim Edge"-Tool I would like to have and "Extend to Line"-Tool.
You select the line to serve as boundary, you select the "Extend to Line"-Tool and click on a line to be extended
until it reaches the boundary line. Throws an error when not possible.
TagsNo tags attached.

Activities

r-frank

2015-04-13 10:34

reporter   ~0006013

See also discussion here:
http://forum.freecadweb.org/viewtopic.php?p=83906#p83906

a2lin

2017-05-25 16:00

reporter   ~0009138

Patch here: https://github.com/FreeCAD/FreeCAD/pull/774

a2lin

2017-06-20 16:23

reporter   ~0009469

This has been merged.

Kunda1

2017-06-20 19:45

administrator   ~0009470

@a2lin thx for your contribution! Hope to see more patches from you. Cheers!
Closing ticket

Issue History

Date Modified Username Field Change
2013-07-22 09:50 oldestfox New Issue
2015-04-13 10:34 r-frank Note Added: 0006013
2017-01-16 10:12 Kunda1 Project FreeCAD => Sketcher
2017-05-14 14:10 Kunda1 Description Updated View Revisions
2017-05-25 16:00 a2lin Note Added: 0009138
2017-06-20 16:23 a2lin Note Added: 0009469
2017-06-20 19:45 Kunda1 Note Added: 0009470
2017-06-20 19:45 Kunda1 Status new => closed
2017-06-20 19:45 Kunda1 Resolution open => fixed
2017-06-20 19:45 Kunda1 Fixed in Version => 0.17